# Getting Started

## Getting Your Awesome Vaultoro API Running

Becoming awesome is fairly straight forward process. First you'll need to sign up for a Vaultoro account over on vaultoro.com. That'll take about 20 seconds.

When you're logged in, head over to the settings and create yourself an API token. Make a copy of said token since we'll not be giving that one out again.

You need to append this token to your headers, as so. If you happen to be using curl.

```
$ curl -H "VTOKEN: $TOKEN" -H 'Content-type: application/json' https://api.vaultoro.com/v1/me
```

{% hint style="info" %}
&#x20;Some endpoints are protected and cannot be accessed with your new API tokens.&#x20;
{% endhint %}

If you've done that all right, you should get a response like this.

{% code title="" %}

```bash
{
    "data": {
        "countryHandle": "DE",
        "createdAt": 1594306991,
        "defaults": {
            "currency": "EURCENT",
            "pair": "GOLDBTC"
        },
        "email": "simon@awesome.com",
        "flags": {
            "optInNewsletter": true,
            "verified": true
        },
        "identity": {
            "address": "1 Long Road",
            "city": "Somewhere",
            "firstName": "Simon",
            "lastName": "Awesome",
            "zipCode": "90210"
        },
        "languageHandle": "EN"
    }
}

```

{% endcode %}

You should make sure all requests have the `application/json` header too.

## Rate Limiting

All calls are rate limited. If you exceed the limits, you will receive a 429 response and an error message. These are subject to change, please contact support if you have any specific questions.

**Requests Using the VTOKEN**

100,000 requests per day. Once you've gone over this limit, you will need to wait 24 hours before you can access the API again.&#x20;

If you flood the API with failed requests using your VTOKEN, you will be throttled for 10 minutes. There's a limit of 100 failed requests in a three hour period.

**Requests using public endpoints**

10,000 requests per day. You will be blocked for 24 hours if you exceed this limit.

### What Next?

Go ahead and learn how to create an order, fetch your history and all that fun stuff.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
